# Define class to modify the system preferences
class systemmanager 
	function showfiles 
		macosx.showhiddenfiles 
		macosx.apply 
	end 
	function hidefiles 
		macosx.hidehiddenfiles 
		macosx.apply 
	end 
	function usegraphite 
		macosx.appearance.usegraphite 
		macosx.apply 
	end 
	function useaqua 
		macosx.appearance.useblue 
		macosx.apply 
	end 
endclass 
# Create quit function
function exit_application 
	exit 0 
end 
# Create main objects
frame main_frame 
button b_showfiles 
button b_hidefiles 
button b_usegraphite 
button b_useaqua 
button b_quit 
# Change properties of the frame main_frame
frame.title for main_frame = " Systemmanager " 
frame.size for main_frame = 500 100 
frame.position for main_frame = 300 200 
frame.resizable for main_frame = false 
frame.layout for main_frame = flow 
# Set the button texts
button.text for b_showfiles = " <html><b>Show Hidden Files</b></html> " 
button.text for b_hidefiles = " <html><b>Hide Hidden Files</b></html> " 
button.text for b_usegraphite = " <html><b>Use Graphite Style</b></html> " 
button.text for b_useaqua = " <html><b>Use Aqua Style</b></html> " 
button.text for b_quit = " <html><b><font color=green>Quit Application</font></b></html> " 
# Define the events for the buttons
button.event for b_showfiles = systemmanager.showfiles 
button.event for b_hidefiles = systemmanager.hidefiles 
button.event for b_usegraphite = systemmanager.usegraphite 
button.event for b_useaqua = systemmanager.useaqua 
button.event for b_quit = exit_application 
# Add the buttons to the frame
frame.add.button b_showfiles to main_frame 
frame.add.button b_hidefiles to main_frame 
frame.add.button b_usegraphite to main_frame 
frame.add.button b_useaqua to main_frame 
frame.add.button b_quit to main_frame 
# Show the frame
frame.visible for main_frame = true 
